PROJECT(tuplesd)

cmake_minimum_required(VERSION 2.6)

find_package(Boost REQUIRED COMPONENTS regex filesystem program_options)

include_directories(${Boost_INCLUDE_DIR})
include_directories (
	${Matrices_SOURCE_DIR}
	${Comparator_SOURCE_DIR}
	"/usr/include/mysql++"
	"/usr/include/mysql"
)

link_directories(
	${Matrices_BINARY_DIR}
	${Comparator_BINARY_DIR}
)
if(UNIX)
	add_definitions(-DLINUX)
endif(UNIX)

add_executable(tuplesd main.cpp options.cpp tuplesserver.cpp tprocessor.cpp)

target_link_libraries(tuplesd ${Boost_LIBRARIES}  matrices comparator mysqlpp)
target_link_libraries(tuplesd ${LOG4CXX_LIBRARY})
